Subject: bug#23010: 25.1.50; Isearch help key to indicate current search state/mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 May 2022 18:27:27 +0200

Drew Adams <[email-masked]> writes:

> This request is for a help key, to show the current state/modes of
> Isearch.  The info shown should include all of the possible toggle
> states, such as case folding, whitespace folding, regexp/literal, and
> char folding, as well as indicate the various toggle keys for these.

I think this sound like it could be vaguely helpful.  I've added Juri to
the CCs; perhaps he has some comments.

I think the utility would be pretty marginal, though -- few users alter
these things dynamically, but go with one single set of states most of
the time.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no